Show / Hide Table of Contents

# Delegate ServiceHost.ShutdownCallback

Delegate definition for the host shutdown event

###### Namespace:Microsoft.SqlTools.ServiceLayer.Hosting

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public delegate Task ShutdownCallback(object shutdownParams, RequestContext<object> shutdownRequestContext);

##### Parameters

Type | Name | Description
--- | --- | ---
System.Object | shutdownParams |
RequestContext<System.Object> | shutdownRequestContext |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |